Uploaded image for project: 'Thorntail'
  1. Thorntail
  2. THORN-982

LogstashCustomizer overrides existing root-logger level and handlers

This issue belongs to an archived project. You can view it, but you can't modify it. Learn more

    XMLWordPrintable

Details

    • Bug
    • Status: Closed
    • Major
    • Resolution: Done
    • 2017.1.1
    • 2017.2.0
    • core
    • None

    Description

      LogstashCustomizer overrides existing root-logger level and handlers with LogstashFraction level and a single logstash-handler.

      https://github.com/wildfly-swarm/wildfly-swarm/blob/2017.1.1/fractions/logstash/src/main/java/org/wildfly/swarm/logstash/runtime/LogstashCustomizer.java#L61

      • LogstashFraction level should be set as logstash-handler level
      • logstash-handler should be added into the existing root handlers to honor them.

      Attachments

        Activity

          People

            emag_jira Yoshimasa Tanabe (Inactive)
            emag_jira Yoshimasa Tanabe (Inactive)
            Archiver:
            ranumula@redhat.com Raju Anumula

            Dates

              Created:
              Updated:
              Resolved:
              Archived: